Gitlab will migrate to a new storage backend starting 0300 UTC on 2020-04-04. We do not anticipate a maintenance window for this migration. Performance may be impacted over the weekend. Thanks for your patience.

Commit 8d67832d authored by Karl Wette's avatar Karl Wette

gnuscripts/lalsuite_swig.m4: ensure SWIG minimum version is never decreased

Original: 1514ac9c9dbebedb55497f5f74a70c74c6fcc8dd
parent fa6d47ce
......@@ -2,7 +2,7 @@
# lalsuite_swig.m4 - SWIG configuration
# Author: Karl Wette, 2011--2014
#
# serial 84
# serial 85
AC_DEFUN([_LALSUITE_CHECK_SWIG_VERSION],[
# $0: check the version of $1, and store it in ${swig_version}
......@@ -226,12 +226,16 @@ AC_DEFUN([LALSUITE_USE_SWIG_OCTAVE],[
AC_MSG_ERROR([Octave version ${octave_min_version} or later is required])
])
LALSUITE_VERSION_COMPARE([${octave_version}],[>=],[3.8.0],[
swig_min_version=2.0.12
swig_min_version_info="for Octave version ${octave_version}"
LALSUITE_VERSION_COMPARE([${swig_min_version}],[<],[2.0.12],[
swig_min_version=2.0.12
swig_min_version_info="for Octave version ${octave_version}"
])
])
LALSUITE_VERSION_COMPARE([${octave_version}],[>=],[4.0.0],[
swig_min_version=3.0.7
swig_min_version_info="for Octave version ${octave_version}"
LALSUITE_VERSION_COMPARE([${swig_min_version}],[<],[3.0.7],[
swig_min_version=3.0.7
swig_min_version_info="for Octave version ${octave_version}"
])
])
# determine where to install Octave bindings: take versioned site .oct file
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment